package com.steering.mes.zgmil.entity;

import java.io.Serializable;


/**
 * 数据库表MIL_PLAN所对应的实体类（生成工具：代码生成器2.4）
 * @author PC201506012023   date 2015-06-29
 */
public class MilPlan  implements Serializable{
	 /** VersionUID */
    private static final long serialVersionUID = 1L;
    /**
     * ID
     */
    private String id;
    /**
     * 序号
     */
    private String seq;
    /**
     * 熔炼炉号
     */
    private String stoveNo;
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 生产批号 
     */
    private String lotNo = "";
    /**
     * 工序合同号
     */
    private String contractNo;
    /**
     * 执行工艺号
     */
    private String impProcess;
    /**
     * 产线
     */
    private String plineCode;
    /**
     * 状态(00-上料 10-锯切完成 20-入炉 30-出炉 40-穿孔完成 50-连轧完成 60-出再加热炉 70-出定径 80-锯切完成 90-矫直 100-探伤完成 F 入库)
     */
    private String status;
    /**
     * 监制
     */
    private String producer;
    /**
     * 工艺状态
     */
    private String processStatus;
    /**
     * 单倍长
     */
    private String dbLength;
    /**
     * 单倍重
     */
    private String dbHeight;
    /**
     * 轧制长度
     */
    private String rollLength;
    /**
     * 分切数
     */
    private String sawNum;
    /**
     * 目标长度
     */
    private String targetLength;
    /**
     * 用户
     */
    private String finishUser;
    /**
     * 目标库
     */
    private String targetLiabrary;
    /**
     * 品种
     */
    private String varieties;
    /**
     * 规格
     */
    private String pipeSize;
    /**
     * 扣型
     */
    private String buckleType;
    /**
     * 长度范围
     */
    private String lengthRange;
    /**
     * 轧管判定标准
     */
    private String rollStandrad;
    /**
     * 断面
     */
    private String pipeSection;
    /**
     * 钢级代码
     */
    private String steelcode;
    /**
     * 钢级名称
     */
    private String steelname;
    /**
     * 钢种代码
     */
    private String gradecode;
    /**
     * 钢种名称
     */
    private String gradename;
    /**
     * 炼钢判定标准
     */
    private String steelStandrad;
    /**
     * 去向
     */
    private String target;
    /**
     * 计划成品支
     */
    private String branch;
    /**
     * 计划成品吨
     */
    private String ton;
    /**
     * 切损去向
     */
    private String cutTarget;
    /**
     * 切损长度
     */
    private String cutLength;
    /**
     * 切损重量
     */
    private String cutWeight;
    /**
     * 理论单倍坯支数
     */
    private String dbNum;
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;
    /**
     * 创建时间
     */
    private String tom;
    /**
     * 修改时间 
     */
    private String toc;
    /**
     * 结炉状态
     */
    private String nodeStatus;
    /**
     * 切头长度
     */
    private String cutHeadLengthp;
    /**
     * 切尾长度
     */
    private String cutTrailLengthp;
    /**
     * 成品判定标准
     */
    private String produceStandrad;
    
    /**
     * 查询结炉起始状态
     */
    private String startStatus;
    
    /**
     * 轧管订单编号
     */
    private String proPlanId;
    
    /**
     * 工序排产序号
     */
    private String gxPlanNo;
    
    public String getStartStatus() {
		return startStatus;
	}
	public void setStartStatus(String startStatus) {
		this.startStatus = startStatus;
	}

	private String lotSeq;
    public String getLotSeq() {
		return lotSeq;
	}
	public void setLotSeq(String lotSeq) {
		this.lotSeq = lotSeq;
	}
	
	
	
	public MilPlan(){
		proPlanId = "";
		gxPlanNo = "";
		startStatus="";
    	cutHeadLengthp="";
    	cutTrailLengthp="";
    	cutTrailLengthp="";        
        id = "";
        seq = "";
        stoveNo = "";
        judgeStoveNo = "";
        lotNo = "";
        contractNo = "";
        impProcess = "";
        plineCode = "";
        status = "";
        producer = "";
        processStatus = "";
        dbLength = "";
        dbHeight = "";
        rollLength = "";
        sawNum = "";
        targetLength = "";
        finishUser = "";
        targetLiabrary = "";
        varieties = "";
        pipeSize = "";
        buckleType = "";
        lengthRange = "";
        rollStandrad = "";
        pipeSection = "";
        steelcode = "";
        steelname = "";
        gradecode = "";
        gradename = "";
        steelStandrad = "";
        target = "";
        branch = "";
        ton = "";
        cutTarget = "";
        cutLength = "";
        cutWeight = "";
        dbNum = "";
        startTime = "";
        endTime = "";
        tom = "";
        toc = "";
        nodeStatus="";
        lotSeq = "";
    }
    /**
     * 成品判定标准
     * @return value
     */
    public String getProduceStandrad() {
        return produceStandrad;
    }

    /**
     * 成品判定标准
     * @param produceStandrad value
     */
    public void setProduceStandrad(String produceStandrad) {
        this.produceStandrad = produceStandrad;
    }
    /**
     * 切头长度
     * @return value
     */
    public String getCutHeadLengthp() {
        return cutHeadLengthp;
    }

    /**
     * 切头长度
     * @param cutHeadLengthp value
     */
    public void setCutHeadLengthp(String cutHeadLengthp) {
        this.cutHeadLengthp = cutHeadLengthp;
    }

    /**
     * 切尾长度
     * @return value
     */
    public String getCutTrailLengthp() {
        return cutTrailLengthp;
    }

    /**
     * 切尾长度
     * @param cutTrailLengthp value
     */
    public void setCutTrailLengthp(String cutTrailLengthp) {
        this.cutTrailLengthp = cutTrailLengthp;
    }
    /**
     * ID
     * @return value
     */
    public String getId() {
        return id;
    }

    /**
     * ID
     * @param id value
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 序号
     * @return value
     */
    public String getSeq() {
        return seq;
    }

    /**
     * 序号
     * @param seq value
     */
    public void setSeq(String seq) {
        this.seq = seq;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 生产批号 
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号 
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 工序合同号
     * @return value
     */
    public String getContractNo() {
        return contractNo;
    }

    /**
     * 工序合同号
     * @param contractNo value
     */
    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    /**
     * 执行工艺号
     * @return value
     */
    public String getImpProcess() {
        return impProcess;
    }

    /**
     * 执行工艺号
     * @param impProcess value
     */
    public void setImpProcess(String impProcess) {
        this.impProcess = impProcess;
    }

    /**
     * 产线
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 状态(00-上料 10-锯切完成 20-入炉 30-出炉 40-穿孔完成 50-连轧完成 60-出再加热炉 70-出定径 80-锯切完成 90-矫直 100-探伤完成 F 入库)
     * @return value
     */
    public String getStatus() {
        return status;
    }

    /**
     * 状态(00-上料 10-锯切完成 20-入炉 30-出炉 40-穿孔完成 50-连轧完成 60-出再加热炉 70-出定径 80-锯切完成 90-矫直 100-探伤完成 F 入库)
     * @param status value
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 监制
     * @return value
     */
    public String getProducer() {
        return producer;
    }

    /**
     * 监制
     * @param producer value
     */
    public void setProducer(String producer) {
        this.producer = producer;
    }

    /**
     * 工艺状态
     * @return value
     */
    public String getProcessStatus() {
        return processStatus;
    }

    /**
     * 工艺状态
     * @param processStatus value
     */
    public void setProcessStatus(String processStatus) {
        this.processStatus = processStatus;
    }

    /**
     * 单倍长
     * @return value
     */
    public String getDbLength() {
        return dbLength;
    }

    /**
     * 单倍长
     * @param dbLength value
     */
    public void setDbLength(String dbLength) {
        this.dbLength = dbLength;
    }

    /**
     * 单倍重
     * @return value
     */
    public String getDbHeight() {
        return dbHeight;
    }

    /**
     * 单倍重
     * @param dbHeight value
     */
    public void setDbHeight(String dbHeight) {
        this.dbHeight = dbHeight;
    }

    /**
     * 轧制长度
     * @return value
     */
    public String getRollLength() {
        return rollLength;
    }

    /**
     * 轧制长度
     * @param rollLength value
     */
    public void setRollLength(String rollLength) {
        this.rollLength = rollLength;
    }

    /**
     * 分切数
     * @return value
     */
    public String getSawNum() {
        return sawNum;
    }

    /**
     * 分切数
     * @param sawNum value
     */
    public void setSawNum(String sawNum) {
        this.sawNum = sawNum;
    }

    /**
     * 目标长度
     * @return value
     */
    public String getTargetLength() {
        return targetLength;
    }

    /**
     * 目标长度
     * @param targetLength value
     */
    public void setTargetLength(String targetLength) {
        this.targetLength = targetLength;
    }

    /**
     * 用户
     * @return value
     */
    public String getFinishUser() {
        return finishUser;
    }

    /**
     * 用户
     * @param finishiUser value
     */
    public void setFinishUser(String finishUser) {
        this.finishUser = finishUser;
    }

    /**
     * 目标库
     * @return value
     */
    public String getTargetLiabrary() {
        return targetLiabrary;
    }

    /**
     * 目标库
     * @param targetLiabrary value
     */
    public void setTargetLiabrary(String targetLiabrary) {
        this.targetLiabrary = targetLiabrary;
    }

    /**
     * 品种
     * @return value
     */
    public String getVarieties() {
        return varieties;
    }

    /**
     * 品种
     * @param varieties value
     */
    public void setVarieties(String varieties) {
        this.varieties = varieties;
    }

    /**
     * 规格
     * @return value
     */
    public String getPipeSize() {
        return pipeSize;
    }

    /**
     * 规格
     * @param pipeSize value
     */
    public void setPipeSize(String pipeSize) {
        this.pipeSize = pipeSize;
    }

    /**
     * 扣型
     * @return value
     */
    public String getBuckleType() {
        return buckleType;
    }

    /**
     * 扣型
     * @param buckleType value
     */
    public void setBuckleType(String buckleType) {
        this.buckleType = buckleType;
    }

    /**
     * 长度范围
     * @return value
     */
    public String getLengthRange() {
        return lengthRange;
    }

    /**
     * 长度范围
     * @param lengthRange value
     */
    public void setLengthRange(String lengthRange) {
        this.lengthRange = lengthRange;
    }

    /**
     * 轧管判定标准
     * @return value
     */
    public String getRollStandrad() {
        return rollStandrad;
    }

    /**
     * 轧管判定标准
     * @param rollStandrad value
     */
    public void setRollStandrad(String rollStandrad) {
        this.rollStandrad = rollStandrad;
    }

    /**
     * 断面
     * @return value
     */
    public String getPipeSection() {
        return pipeSection;
    }

    /**
     * 断面
     * @param pipeSection value
     */
    public void setPipeSection(String pipeSection) {
        this.pipeSection = pipeSection;
    }

    /**
     * 钢级代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 炼钢判定标准
     * @return value
     */
    public String getSteelStandrad() {
        return steelStandrad;
    }

    /**
     * 炼钢判定标准
     * @param steelStandrad value
     */
    public void setSteelStandrad(String steelStandrad) {
        this.steelStandrad = steelStandrad;
    }

    /**
     * 去向
     * @return value
     */
    public String getTarget() {
        return target;
    }

    /**
     * 去向
     * @param target value
     */
    public void setTarget(String target) {
        this.target = target;
    }

    /**
     * 计划成品支
     * @return value
     */
    public String getBranch() {
        return branch;
    }

    /**
     * 计划成品支
     * @param branch value
     */
    public void setBranch(String branch) {
        this.branch = branch;
    }

    /**
     * 计划成品吨
     * @return value
     */
    public String getTon() {
        return ton;
    }

    /**
     * 计划成品吨
     * @param ton value
     */
    public void setTon(String ton) {
        this.ton = ton;
    }

    /**
     * 切损去向
     * @return value
     */
    public String getCutTarget() {
        return cutTarget;
    }

    /**
     * 切损去向
     * @param cutTarget value
     */
    public void setCutTarget(String cutTarget) {
        this.cutTarget = cutTarget;
    }

    /**
     * 切损长度
     * @return value
     */
    public String getCutLength() {
        return cutLength;
    }

    /**
     * 切损长度
     * @param cutLength value
     */
    public void setCutLength(String cutLength) {
        this.cutLength = cutLength;
    }

    /**
     * 切损重量
     * @return value
     */
    public String getCutWeight() {
        return cutWeight;
    }

    /**
     * 切损重量
     * @param cutWeight value
     */
    public void setCutWeight(String cutWeight) {
        this.cutWeight = cutWeight;
    }

    /**
     * 理论单倍坯支数
     * @return value
     */
    public String getDbNum() {
        return dbNum;
    }

    /**
     * 理论单倍坯支数
     * @param dbNum value
     */
    public void setDbNum(String dbNum) {
        this.dbNum = dbNum;
    }

    /**
     * 开始时间
     * @return value
     */
    public String getStartTime() {
        return startTime;
    }

    /**
     * 开始时间
     * @param startTime value
     */
    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    /**
     * 结束时间
     * @return value
     */
    public String getEndTime() {
        return endTime;
    }

    /**
     * 结束时间
     * @param endTime value
     */
    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getTom() {
        return tom;
    }

    /**
     * 创建时间
     * @param tom value
     */
    public void setTom(String tom) {
        this.tom = tom;
    }

    /**
     * 修改时间 
     * @return value
     */
    public String getToc() {
        return toc;
    }

    /**
     * 修改时间 
     * @param toc value
     */
    public void setToc(String toc) {
        this.toc = toc;
    }
    /**
     * 结炉状态 
     * @return value
     */
    public String getNodeStatus() {
        return nodeStatus;
    }

    /**
     * 结炉状态 
     * @param toc value
     */
    public void setNodeStatus(String nodeStatus) {
        this.nodeStatus = nodeStatus;
    }
	public String getProPlanId() {
		return proPlanId;
	}
	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}
	public String getGxPlanNo() {
		return gxPlanNo;
	}
	public void setGxPlanNo(String gxPlanNo) {
		this.gxPlanNo = gxPlanNo;
	}
    
}
